
QGIS Application - Feature request #2586

Relative paths support or "load other layers from the same location" option

2010-03-24 01:15 AM - Jhelebrant -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Project Loading/Saving

Pull Request or Patch supplied: Resolution: invalid

Easy fix?: No Copied to github as #: 12646

Description

When moving my project to other folder, I always have to manually edit the QGS file or I have to specify location for each single layer

when loading the project although I have them all in one folder.

Would be perfect to have support for relative paths or at least a dialog like "Load other layers from the same location? Yes/No"

thanks much and good luck

History

#1 - 2010-05-11 03:11 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

relative paths are already supported in qgis trunk. Under windows you can install it with the osgeo4w installer.

#2 - 2010-05-11 11:10 PM - Jhelebrant -

Replying to [comment:1 lutra]:

relative paths are already supported in qgis trunk. Under windows you can install it with the osgeo4w installer.

Hm,

I am offline at home so this is problem. But someone compiled the 1.5 Trunk commit:c5b9aa5d (SVN r13289) and it behaves in the same way as 1.4

Enceladus. Are you sure, that this was solved in later revisions?

thanks

#3 - 2010-05-12 12:07 AM - Jürgen Fischer

Replying to [comment:2 jhelebrant]:

I am offline at home so this is problem. But someone compiled the 1.5 Trunk commit:c5b9aa5d (SVN r13289) and it behaves in the same way as 1.4

Enceladus. Are you sure, that this was solved in later revisions?

relative paths are optional: Settings/Project Properties/General/Save Paths
BTW this is a duplicate of #1211

#4 - 2010-05-12 12:46 AM - Jhelebrant -

Replying to [comment:3 jef]:

relative paths are optional: Settings/Project Properties/General/Save Paths

Ok,

I got it. Thanks much :-)

2024-04-27 2/2


